package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import com.bonus.canteen.core.supply.purchase.utils.DrpUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
@ContentStyle(
   borderLeft = BorderStyleEnum.THIN,
   borderBottom = BorderStyleEnum.THIN,
   borderRight = BorderStyleEnum.THIN,
   borderTop = BorderStyleEnum.THIN
)
public class DrpExcelInquiryDetailVO {
   @ApiModelProperty("序号")
   private Integer serialNum;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("决标单价（未）")
   private Integer neSinglePrice;
   @ApiModelProperty("决标单价")
   private BigDecimal singlePrice;
   @ApiModelProperty("决标总价（未）")
   private Integer neTotalPrice;
   @ApiModelProperty("决标总价")
   private BigDecimal totalPrice;
   @ApiModelProperty("备注")
   private String notes;

   public BigDecimal getSinglePrice() {
      return DrpUtil.priceDevice100(this.neSinglePrice);
   }

   public BigDecimal getTotalPrice() {
      return DrpUtil.priceDevice100(this.neTotalPrice);
   }

   public Integer getSerialNum() {
      return this.serialNum;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getNeSinglePrice() {
      return this.neSinglePrice;
   }

   public Integer getNeTotalPrice() {
      return this.neTotalPrice;
   }

   public String getNotes() {
      return this.notes;
   }

   public void setSerialNum(final Integer serialNum) {
      this.serialNum = serialNum;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setNeSinglePrice(final Integer neSinglePrice) {
      this.neSinglePrice = neSinglePrice;
   }

   public void setSinglePrice(final BigDecimal singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setNeTotalPrice(final Integer neTotalPrice) {
      this.neTotalPrice = neTotalPrice;
   }

   public void setTotalPrice(final BigDecimal totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }
}
